Glue Up API
User CollectionEvent CollectionSubscription CollectionMembership Collection
Finance Collection
User CollectionEvent CollectionSubscription CollectionMembership Collection
Finance Collection
  1. Membership Collection
  • Retrieve the Membership Directory Settings
    GET
  • Retrieve Default Company Application Form
    GET
  • Retrieve Default Individual Application Form
    GET
  • Retrieve All Company Application Forms
    POST
  • Retrieve All Individual Application Forms
    POST
  • Retrieve All Company Application Form Fields
    GET
  • Retrieve All Individual Application Form Fields
    GET
  • Retrieve the Company Membership Directory List
    POST
  • Retrieve the Basic Company Membership Directory List
    POST
  • Retrieve a Company Membership
    GET
  • Retrieve the Individual Membership Directory List
    POST
  • Retrieve a Individual Membership
    GET
  • Retrieve the Membership Member Directory List
    POST
  • Retrieve the Basic Membership Member Directory List
    POST
  • Retrieve the Membership Member by Member ID
    GET
  • Retrieve the Membership Member Directory List By User
    POST
  • Retrieve the Membership Industry List By Membership Type
    GET
  • Retrieve the Membership Type List By Page
    POST
  • Retrieve the Membership List By Page
    GET
  1. Membership Collection

Retrieve the Membership Member Directory List

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
POST
/membershipDirectory/members
Retrieve members from the membership directory of an organization. You will receive only active membership members. This endpoint will return a list of Membership Member Model.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Membership member directory list returned
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/membershipDirectory/members' \
--header 'a;' \
--header 'requestOrganizationId;' \
--header 'Content-Type: application/json' \
--data '{
    "projection": [],
    "filter": [
        {
            "projection": "featured",
            "operator": "eq",
            "values": [
                false
            ]
        },
        {
            "projection": "familyName",
            "operator": "st",
            "values": [
                "U"
            ]
        },
        {
            "projection": "properties.food-preference",
            "operator": "eq",
            "values": [
                "vegetarian"
            ]
        }
    ],
    "search": {
        "fields": [
            "givenName",
            "familyName",
            "emailAddress",
            "companyName"
        ],
        "value": "Test",
        "fullText": true
    },
    "order": {
        "familyName": "asc"
    },
    "offset": 0,
    "limit": 20
}'
Response Response Example
[
    {
        "membership": {
            "id": 16908,
            "membershipType": {
                "id": 612,
                "title": "Company Type B",
                "type": "Company"
            },
            "startDate": 1563638401000
        },
        "individualMember": {
            "id": 39408,
            "membershipId": 16908,
            "featured": false,
            "emailAddress": {
                "value": "test.user@glueup.com"
            },
            "phone": {
                "value": "0123456789"
            },
            "givenName": "Test",
            "familyName": "User",
            "companyName": "Eventbank",
            "properties": {
                "graduated-school": "",
                "food-preference": {
                    "code": "vegetarian",
                    "title": {
                        "en": "Vegetarian"
                    }
                }
            }
        }
    }
]
Modified at 2026-06-29 08:37:20
Previous
Retrieve a Individual Membership
Next
Retrieve the Basic Membership Member Directory List
Built with